use std::ffi::{CStr, CString, c_char};

#[unsafe(no_mangle)]
pub extern "C" fn hello(name: *const c_char) -> *const c_char {
    let name = unsafe { CStr::from_ptr(name) };
    let name = name.to_str().unwrap_or("World");
    let greeting = format!("Hello, {}!", name);
    let c_string = CString::new(greeting).unwrap();
    c_string.into_raw()
}
